unit HighScore;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, u_score, Buttons, ExtCtrls;

type
  TScoreForm = class(TForm)
    DecoLAbel: TLabel;
    CloseBtn: TSpeedButton;
    DecoBevel: TBevel;
    FontPanel: TPanel;
    ScorePanel1: TPanel;
    ScorePAnel2: TPanel;
    ScorePAnel3: TPanel;
    ScorePanel4: TPanel;
    ScorePanel5: TPanel;
    ScoreLbl1: TLabel;
    ScoreLbl2: TLabel;
    ScoreLbl3: TLabel;
    ScoreLbl4: TLabel;
    ScoreLbl5: TLabel;
    procedure FormShow(Sender: TObject);
    procedure CloseBtnClick(Sender: TObject);
    procedure ScorePAnelClick(Sender: TObject);
    procedure ScoreLblClick(Sender: TObject);
    procedure FormKeyPress(Sender: TObject; var Key: Char);
  private
    { Private declarations }
  public
    { Public declarations }
  end;
const
  PanelHeightMax = 133;
  PanelHeightMin = 41;

var
  ScoreForm: TScoreForm;

implementation

{$R *.dfm}

procedure TScoreForm.FormShow(Sender: TObject);
var i:integer;
    TmpScore:String;
begin
ReadAllScore;
for i:=0 to NBScore-1 do
   begin
   if u_score.HighScore[i].Score <> 0 then
     begin
     TmpScore := (u_score.HighScore[i].Name+' -> '+IntToStr(u_score.HighScore[i].Score)+' points'+#13);
     TmpScore := TmpScore + 'le '+DateToStr(u_score.HighScore[i].Date)+'  '+TimeToStr(u_score.HighScore[i].Date)+#13;
     TmpScore := TmpScore + 'Vitesse: '+u_score.HighScore[i].Speed+#13;
     TmpScore := TmpScore + 'Taille du terrain: '+u_score.HighScore[i].Size+#13;
     TmpScore := TmpScore + 'nb. ne point max: '+IntToStr(u_score.HighScore[i].maxPoint)+#13;
     end else begin
     TmpScore := '';
     end;
   (Scoreform.FindComponent('ScoreLbl'+IntToStr(i+1)) as TLabel).Caption := TmpScore;
   end;
end;

procedure TScoreForm.CloseBtnClick(Sender: TObject);
begin
close;
end;

procedure TScoreForm.ScorePAnelClick(Sender: TObject);
var i:word;
begin
if (Sender as TPAnel).Height = PanelHeightMax then Exit;

//rduit tout les panel
for i:=1 to 5 do
  (ScoreForm.FindComponent('ScorePanel'+inttoStr(i)) as TPanel).Height := PanelHeightMin;
//agrandi le panel clicke
(Sender as TPAnel).Height := PanelHeightMax;
end;

procedure TScoreForm.ScoreLblClick(Sender: TObject);
begin
//click sur les label rediriger vers le click du panel
ScorePAnelClick((Sender as TLabel).Parent);
end;

procedure TScoreForm.FormKeyPress(Sender: TObject; var Key: Char);
begin
if key = #13 then
   CloseBtn.Click;
end;

end.
