unit Menu;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ExtCtrls, StdCtrls, Buttons;

type
  TMenuForm = class(TForm)
    JoueurBox: TGroupBox;
    DecoImg1: TImage;
    DecoImg2: TImage;
    DecoImg3: TImage;
    Joueur1: TRadioButton;
    joueur2: TRadioButton;
    joueur3: TRadioButton;
    SizeBox: TGroupBox;
    Size1: TRadioButton;
    Size2: TRadioButton;
    Size3: TRadioButton;
    SpeedBox: TGroupBox;
    Speed1: TRadioButton;
    Speed2: TRadioButton;
    Speed3: TRadioButton;
    DecoImage: TImage;
    DecoLabel: TLabel;
    StartBtn: TSpeedButton;
    SoundBox: TCheckBox;
    CloseBtn: TSpeedButton;
    ScoreBtn: TSpeedButton;
    procedure StartBtnClick(Sender: TObject);
    procedure CloseBtnClick(Sender: TObject);
    procedure ScoreBtnClick(Sender: TObject);
    procedure DecoLabelClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  MenuForm: TMenuForm;

implementation

uses HighScore, About;

{$R *.dfm}

procedure TMenuForm.StartBtnClick(Sender: TObject);
begin
close;
end;

procedure TMenuForm.CloseBtnClick(Sender: TObject);
begin
Application.Terminate;
end;

procedure TMenuForm.ScoreBtnClick(Sender: TObject);
begin
ScoreForm.Show;
end;

procedure TMenuForm.DecoLabelClick(Sender: TObject);
begin
AboutForm.Show;
end;

end.
